\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,>=triangle 45,x=0.8cm,y=0.8cm]
\clip(-8.15,0.85) rectangle (-1.15,5.15);
\draw [color=Gris3, xstep=0.8cm,ystep=0.8cm] (-8.5,0.5) grid (-1.5,5.5);
\clip(-8.15,0.85) rectangle (-1.15,5.15);
\fill[line width=1.2pt,color=A3,fill=A3] (-4,1) -- (-5,1) -- (-5,2) -- (-4.5,3) -- (-4,2) -- cycle;
\fill[line width=1.2pt,color=B3,fill=B3] (-6,1) -- (-8,1) -- (-8,3) -- (-7,5) -- (-6,3) -- cycle;
\fill[line width=1.2pt,color=H3,fill=H3] (-3,1) -- (-3.5,1) -- (-3.5,1.5) -- (-3.25,2) -- (-3,1.5) -- cycle;
\draw [line width=1.2pt,color=A2] (-4,1)-- (-5,1);
\draw [line width=1.2pt,color=A2] (-5,1)-- (-5,2);
\draw [line width=1.2pt,color=A2] (-5,2)-- (-4.5,3);
\draw [line width=1.2pt,color=A2] (-4.5,3)-- (-4,2);
\draw [line width=1.2pt,color=A2] (-4,2)-- (-4,1);
\draw [line width=1.2pt,color=B2] (-6,1)-- (-8,1);
\draw [line width=1.2pt,color=B2] (-8,1)-- (-8,3);
\draw [line width=1.2pt,color=B2] (-8,3)-- (-7,5);
\draw [line width=1.2pt,color=B2] (-7,5)-- (-6,3);
\draw [line width=1.2pt,color=B2] (-6,3)-- (-6,1);
\draw [line width=1.2pt,color=H2] (-3,1)-- (-3.5,1);
\draw [line width=1.2pt,color=H2] (-3.5,1)-- (-3.5,1.5);
\draw [line width=1.2pt,color=H2] (-3.5,1.5)-- (-3.25,2);
\draw [line width=1.2pt,color=H2] (-3.25,2)-- (-3,1.5);
\draw [line width=1.2pt,color=H2] (-3,1.5)-- (-3,1);
\draw [fill=black] (-2,1) circle (2.5pt);
\draw[color=black] (-1.84,1.43) node {$A$};
\end{tikzpicture}
\end{document}